Bug 1265637 - problems with vdpau backend for vaapi and cluttersink
problems with vdpau backend for vaapi and cluttersink
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: clutter-gst2 (Show other bugs)
21
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 08:02 EDT by Oliver Henshaw
Modified: 2015-12-02 13:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:27:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Henshaw 2015-09-23 08:02:18 EDT
Description of problem:

The gstreamer invocation that matches totem - from https://wiki.gnome.org/Apps/Videos/BugReporting - plays audio but not video when using the libva-vdpau-driver backend on an r600 GPU.

$ LIBVA_DRIVER_NAME=vdpau gst-launch-1.0 --gst-debug=*:2 playbin uri=file:///home/watcher/Videos/test.mp4 video-sink=cluttersink audio-filter=scaletempo
Setting pipeline to PAUSED ...
0:00:00.293023123  2499      0x20bbb50 WARN                 basesrc gstbasesrc.c:3470:gst_base_src_start_complete:<source> pad not activated yet
0:00:00.295359527  2499      0x20bbb50 WARN                 basesrc gstbasesrc.c:3470:gst_base_src_start_complete:<source> pad not activated yet
Pipeline is PREROLLING ...
libva info: VA-API version 0.36.0
libva info: va_getDriverName() returns 0
libva info: User requested driver 'vdpau'
libva info: Trying to open /usr/lib64/dri/vdpau_drv_video.so
libva info: Found init function __vaDriverInit_0_36
libva info: va_openDriver() returns 0
Got context from element 'vaapidecode0': gst.vaapi.Display=context, display=(GstVaapiDisplay)NULL;
Pipeline is PREROLLED ...
Setting pipeline to PLAYING ...
0:00:00.822007770  2499 0x7f4bf00e5140 WARN                GST_PADS gstpad.c:3739:gst_pad_peer_query:<sink:proxypad8> could not send sticky events
New clock: GstPulseSinkClock
0:00:01.082610585  2499 0x7f4bf00e5000 ERROR            vaapidecode gstvaapidecode.c:384:gst_vaapidecode_push_decoded_frame: video sink rejected the video buffer (error -1)
0:00:01.086900339  2499 0x7f4bfc0044f0 ERROR            vaapidecode gstvaapidecode.c:265:gst_vaapidecode_decode_frame: decode loop error -1


Dropping LIBVA_DRIVER_NAME works, as does dropping video-sink=cluttersink. Invoking without the software colour balance flag plays video but there's brief flickering at the beginning that isn't present in the other working scenarios.


$ LIBVA_DRIVER_NAME=vdpau gst-launch-1.0 --gst-debug=*:2 playbin uri=file:///home/watcher/Videos/test.mp4 video-sink=cluttersink audio-filter=scaletempo flags=0x217
Setting pipeline to PAUSED ...
0:00:00.241913720  2650      0x157db50 WARN                 basesrc gstbasesrc.c:3470:gst_base_src_start_complete:<source> pad not activated yet
0:00:00.243191567  2650      0x157db50 WARN                 basesrc gstbasesrc.c:3470:gst_base_src_start_complete:<source> pad not activated yet
Pipeline is PREROLLING ...
libva info: VA-API version 0.36.0
libva info: va_getDriverName() returns 0
libva info: User requested driver 'vdpau'
libva info: Trying to open /usr/lib64/dri/vdpau_drv_video.so
libva info: Found init function __vaDriverInit_0_36
libva info: va_openDriver() returns 0
Got context from element 'vaapidecode0': gst.vaapi.Display=context, display=(GstVaapiDisplay)NULL;
Pipeline is PREROLLED ...
Setting pipeline to PLAYING ...
New clock: GstPulseSinkClock
0:00:00.810164943  2650 0x7fcc300e5450 WARN             cluttersink ./clutter-gst-video-sink.c:1738:clutter_gst_video_sink_render: Replacing existing buffer 0x7fcc3402ee60 (most likely wasn't displayed)
0:00:00.827768232  2650 0x7fcc300e5450 WARN             cluttersink ./clutter-gst-video-sink.c:1738:clutter_gst_video_sink_render: Replacing existing buffer 0x7fcc0c003010 (most likely wasn't displayed)
0:00:00.827914774  2650 0x7fcc300e5450 WARN             cluttersink ./clutter-gst-video-sink.c:1738:clutter_gst_video_sink_render: Replacing existing buffer 0x7fcc0c003120 (most likely wasn't displayed)
0:00:00.827971070  2650 0x7fcc300e5450 WARN             cluttersink ./clutter-gst-video-sink.c:1738:clutter_gst_video_sink_render: Replacing existing buffer 0x7fcc3402e3c0 (most likely wasn't displayed)
0:00:00.862415174  2650 0x7fcc300e5450 WARN             cluttersink ./clutter-gst-video-sink.c:1738:clutter_gst_video_sink_render: Replacing existing buffer 0x7fcc3402ea20 (most likely wasn't displayed)
0:00:00.902221555  2650 0x7fcc300e5450 WARN             cluttersink ./clutter-gst-video-sink.c:1738:clutter_gst_video_sink_render: Replacing existing buffer 0x7fcc0c003010 (most likely wasn't displayed)
0:00:00.941956073  2650 0x7fcc300e5450 WARN             cluttersink ./clutter-gst-video-sink.c:1738:clutter_gst_video_sink_render: Replacing existing buffer 0x7fcc0c003120 (most likely wasn't displayed)
0:00:01.141042552  2650 0x7fcc300e5450 WARN             cluttersink ./clutter-gst-video-sink.c:1738:clutter_gst_video_sink_render: Replacing existing buffer 0x7fcc3402ed50 (most likely wasn't displayed)


Version-Release number of selected component (if applicable):

clutter-1.20.2-1.fc21.x86_64
clutter-gst2-2.0.12-4.fc21.x86_64
gstreamer1-vaapi-0.5.10-2.fc21.x86_64
gstreamer1-1.4.5-1.fc21.x86_64
libva-1.4.1-1.fc21.i686
libva-1.4.1-1.fc21.x86_64
libva-vdpau-driver-0.7.4-10.fc21.x86_64
mesa-vdpau-drivers-10.4.7-1.20150323.fc21.x86_64

$ lspci | grep VGA
00:01.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Wrestler [Radeon HD 6310]
Comment 1 Fedora End Of Life 2015-11-04 05:27:20 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-12-02 10:27:21 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.